Botan 1.10.17

Public Member Functions | List of all members
Botan::Mutex_Factory Class Referenceabstract

`#include <mutex.h>`

Inheritance diagram for Botan::Mutex_Factory:

## Public Member Functions
virtual Mutex * | make ()=0
virtual | ~Mutex_Factory ()

## Detailed Description

Mutex Factory

Definition at line 36 of file mutex.h.

## Constructor & Destructor Documentation

## ◆ ~Mutex_Factory()

virtual Botan::Mutex_Factory::~Mutex_Factory | ( |  | ) |
| inline virtual

Definition at line 44 of file mutex.h.

44 {}

## Member Function Documentation

## ◆ make()

virtual Mutex* Botan::Mutex_Factory::make | ( |  | ) |
| pure virtual

Returns
  newly allocated mutex

Implemented in Botan::Win32_Mutex_Factory, Botan::Noop_Mutex_Factory, and Botan::Pthread_Mutex_Factory.

Referenced by Botan::Algorithm_Factory::Algorithm_Factory(), and Botan::Library_State::get_mutex().

The documentation for this class was generated from the following file:

- src/mutex/mutex.h